import http from '@/utils/request'

// 获取票种分组列表
export function getTicketTypeGroupList (params) {
  return http.post('/admin/ticketTypeGroup', { data: params })
}

// 新增分组
export function addTicketTypeGroup (params) {
  return http.post('/admin/ticketTypeGroup/add', { data: params })
}

// 编辑分组
export function updateTicketTypeGroup (params) {
  return http.post('/admin/ticketTypeGroup/update', { data: params })
}

// 删除分组
export function deleteTicketTypeGroup (idList) {
  return http.post('/admin/ticketTypeGroup/delete', { data: { idList } })
}

// 批量修改分组内票种列表
export function batchAddTicketType (params) {
  return http.post('/admin/ticketTypeGroup/batchAdd', { data: params })
}
